import { IgxFunnelChartSelectedItemsCollection } from "./igx-funnel-chart-selected-items-collection";
import { FunnelChartSelectedItemsChangedEventArgs as FunnelChartSelectedItemsChangedEventArgs_internal } from "./FunnelChartSelectedItemsChangedEventArgs";
/**
 * Provides data for the SelectedItemsChanged event.
*/
export declare class IgxFunnelChartSelectedItemsChangedEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): FunnelChartSelectedItemsChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    private _oldItems;
    /**
     * A list of the previously selected items.
    */
    get oldItems(): IgxFunnelChartSelectedItemsCollection;
    set oldItems(v: IgxFunnelChartSelectedItemsCollection);
    static ngAcceptInputType_oldItems: IgxFunnelChartSelectedItemsCollection | string;
    private _newItems;
    /**
     * A list of the items being selected.
    */
    get newItems(): IgxFunnelChartSelectedItemsCollection;
    set newItems(v: IgxFunnelChartSelectedItemsCollection);
    static ngAcceptInputType_newItems: IgxFunnelChartSelectedItemsCollection | string;
    private _currentItems;
    /**
     * A list of the current items selected.
    */
    get currentItems(): IgxFunnelChartSelectedItemsCollection;
    set currentItems(v: IgxFunnelChartSelectedItemsCollection);
    static ngAcceptInputType_currentItems: IgxFunnelChartSelectedItemsCollection | string;
}
